Subject: 44x bug: funny TLB writes?

From: Hollis Blanchard <[email-masked]>
Date: Thu, 20 Sep 2007 22:34:12 -0500

I seem to have come across a strange bug while doing KVM development. It
seems that the final tlbwe in finish_tlb (head_44x.S) is actually
leaking RPN bits into the "attribute" word.

When I set a breakpoint there and press enter on the serial console, I
see r12=ef600703, which is the physical address of the UART on this chip
(440EP), plus the correct permission bits at the bottom.

Am I crazy? I'm not really looking to step through that assembly right
now... Clearly (current) hardware is just ignoring these errant writes,
but it should be fixed.

-- 
Hollis Blanchard
IBM Linux Technology Center